set define off;


---------------------------------------------------
--  OCT_LANG
---------------------------------------------------
CREATE TABLE "OCT_LANG"
(	
	"ID" NUMBER(19,0),
	"CODE" VARCHAR2(3 CHAR),
	"NAME" VARCHAR2(64 CHAR),
	"DISPLAY_ORDER" NUMBER(19,0)
);

REM INSERTING into OCT_LANG
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (1,'cs','oct.lang.Czech',2);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (2,'da','oct.lang.Danish',3);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (3,'de','oct.lang.German',4);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (4,'et','oct.lang.Estonian',5);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (5,'el','oct.lang.Greek',6);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (6,'en','oct.lang.English',7);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (7,'es','oct.lang.Spanish',8);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (8,'fr','oct.lang.French',9);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (9,'it','oct.lang.Italian',11);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (10,'lv','oct.lang.Latvian',12);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (11,'lt','oct.lang.Lithuanian',13);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (12,'ga','oct.lang.Gaelic',10);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (13,'hu','oct.lang.Hungarian',14);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (14,'mt','oct.lang.Maltese',15);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (15,'nl','oct.lang.Dutch',16);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (16,'pl','oct.lang.Polish',17);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (17,'pt','oct.lang.Portuguese',18);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (18,'ro','oct.lang.Romanian',19);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (19,'sk','oct.lang.Slovak',20);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (20,'sl','oct.lang.Slovenian',21);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (21,'fi','oct.lang.Finnish',22);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (22,'sv','oct.lang.Swedish',23);
Insert into OCT_LANG (ID,CODE,NAME,DISPLAY_ORDER) values (23,'bg','oct.lang.Bulgarian',1);
INSERT INTO OCT_LANG (id, code, name, display_order) VALUES (24, 'hr', 'oct.lang.Croatian', 24);

UPDATE OCT_LANG SET DISPLAY_ORDER = DISPLAY_ORDER + 100
WHERE DISPLAY_ORDER > 10;
UPDATE OCT_LANG SET DISPLAY_ORDER = 11 WHERE ID = 24;

ALTER TABLE "OCT_LANG" ADD UNIQUE ("NAME") ENABLE;
ALTER TABLE "OCT_LANG" ADD UNIQUE ("CODE") ENABLE;
ALTER TABLE "OCT_LANG" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_LANG" MODIFY ("NAME" NOT NULL ENABLE);
ALTER TABLE "OCT_LANG" MODIFY ("CODE" NOT NULL ENABLE);
ALTER TABLE "OCT_LANG" MODIFY ("ID" NOT NULL ENABLE);



---------------------------------------------------
--  OCT_INITIATIVE_DESC
---------------------------------------------------
CREATE TABLE "OCT_INITIATIVE_DESC"
(
   "ID" NUMBER(19,0),
   "OBJECTIVES" VARCHAR2(2500 CHAR),
   "SUBJECTMATTER" VARCHAR2(1000 CHAR),
   "TITLE" VARCHAR2(500 CHAR),
   "URL" VARCHAR2(100 CHAR),
   "LANGUAGE_ID" NUMBER(19,0),
   "ISDEFAULT" NUMBER(3,0)
);

ALTER TABLE "OCT_INITIATIVE_DESC" ADD UNIQUE ("LANGUAGE_ID") ENABLE;
ALTER TABLE "OCT_INITIATIVE_DESC" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_INITIATIVE_DESC" MODIFY ("LANGUAGE_ID" NOT NULL ENABLE);
ALTER TABLE "OCT_INITIATIVE_DESC" MODIFY ("TITLE" NOT NULL ENABLE);
ALTER TABLE "OCT_INITIATIVE_DESC" MODIFY ("ID" NOT NULL ENABLE);

ALTER TABLE "OCT_INITIATIVE_DESC" ADD CONSTRAINT "FK136443A5513A6710" FOREIGN KEY ("LANGUAGE_ID")
REFERENCES "OCT_LANG" ("ID") ENABLE;



---------------------------------------------------
--  OCT_SYSTEM_PREFS
---------------------------------------------------
CREATE TABLE "OCT_SYSTEM_PREFS"
(	
	"ID" NUMBER(19,0),
	"STATE" VARCHAR2(255 CHAR),
	"COLLECTING" NUMBER(3,0),
	"REGISTRATIONNUMBER" VARCHAR2(64 CHAR),
	"REGISTRATIONDATE" TIMESTAMP (6),
	"DEADLINE" TIMESTAMP (6),
	"COMMISSIONREGISTERURL" VARCHAR2(500 CHAR),
	"CURRENTANNEXREVISION" NUMBER(3,0),
	"FILE_STORE" VARCHAR2(255 CHAR),
	"CERT_FILE_NAME" VARCHAR2(255 CHAR),
	"CERT_CONTENT_TYPE" VARCHAR2(255 CHAR),
	"PUBLICKEY" VARCHAR2(3072 CHAR)
);

REM INSERTING into OCT_SYSTEM_PREFS
INSERT INTO OCT_SYSTEM_PREFS (ID, STATE, COLLECTING, REGISTRATIONNUMBER, REGISTRATIONDATE, DEADLINE, COMMISSIONREGISTERURL, FILE_STORE, CURRENTANNEXREVISION, CERT_FILE_NAME, CERT_CONTENT_TYPE, PUBLICKEY)
values (1, 'DEPLOYED', 1, null, null, null, null, null, 2, null, null, null);
ALTER TABLE "OCT_SYSTEM_PREFS" ADD UNIQUE ("REGISTRATIONNUMBER") ENABLE;
ALTER TABLE "OCT_SYSTEM_PREFS" ADD UNIQUE ("REGISTRATIONDATE") ENABLE;
ALTER TABLE "OCT_SYSTEM_PREFS" ADD UNIQUE ("CERT_FILE_NAME") ENABLE;
ALTER TABLE "OCT_SYSTEM_PREFS" ADD UNIQUE ("CERT_CONTENT_TYPE") ENABLE;
ALTER TABLE "OCT_SYSTEM_PREFS" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_SYSTEM_PREFS" MODIFY ("ID" NOT NULL ENABLE);

---------------------------------------------------
--  OCT_ACCOUNT
---------------------------------------------------
CREATE TABLE "OCT_ACCOUNT"
(
  "ID"       NUMBER(19, 0),
  "PASSHASH" VARCHAR2(255 CHAR),
  "USERNAME" VARCHAR2(255 CHAR),
  "SALT"     VARCHAR2(255 CHAR)
);

ALTER TABLE "OCT_ACCOUNT" ADD UNIQUE ("USERNAME") ENABLE;
ALTER TABLE "OCT_ACCOUNT" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_ACCOUNT"
  MODIFY ("SALT" NOT NULL ENABLE);
ALTER TABLE "OCT_ACCOUNT" MODIFY ("USERNAME" NOT NULL ENABLE);
ALTER TABLE "OCT_ACCOUNT" MODIFY ("PASSHASH" NOT NULL ENABLE);
ALTER TABLE "OCT_ACCOUNT" MODIFY ("ID" NOT NULL ENABLE);




---------------------------------------------------
--  OCT_CONTACT_ROLE
---------------------------------------------------
CREATE TABLE "OCT_CONTACT_ROLE"
(	
  "ID" NUMBER(19,0), 
  "ROLEDESCRIPTION" VARCHAR2(20 BYTE) NOT NULL
);

INSERT INTO OCT_CONTACT_ROLE (ID, ROLEDESCRIPTION) VALUES (1, 'representative');
INSERT INTO OCT_CONTACT_ROLE (ID, ROLEDESCRIPTION) VALUES (2, 'substitute');
INSERT INTO OCT_CONTACT_ROLE (ID, ROLEDESCRIPTION) VALUES (3, 'member');

ALTER TABLE "OCT_CONTACT_ROLE" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_CONTACT_ROLE" MODIFY ("ID" NOT NULL ENABLE);




---------------------------------------------------
--  OCT_CONTACT
---------------------------------------------------
CREATE TABLE "OCT_CONTACT"
(  
	"ID" NUMBER(19,0),
	"FIRSTNAME"	VARCHAR2(255 CHAR),
	"FAMILYNAME" VARCHAR2(255 CHAR),
	"EMAIL"		VARCHAR2(255 CHAR),
	"CONTACTROLE_ID" NUMBER(19,0) NOT NULL
);

ALTER TABLE "OCT_CONTACT" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_CONTACT" MODIFY ("ID" NOT NULL ENABLE);

ALTER TABLE "OCT_CONTACT" ADD CONSTRAINT "FK_CONTACT_ROLE" FOREIGN KEY ("CONTACTROLE_ID")
REFERENCES "OCT_CONTACT_ROLE" ("ID") ENABLE;



---------------------------------------------------
--  OCT_PROPERTY_GROUP
---------------------------------------------------
CREATE TABLE "OCT_PROPERTY_GROUP"
(	
	"ID" NUMBER(19,0),
	"MULTICHOICE" NUMBER(3,0),
	"NAME" VARCHAR2(64 CHAR),
	"PRIORITY" NUMBER(10,0)
);

REM INSERTING into OCT_PROPERTY_GROUP
Insert into OCT_PROPERTY_GROUP (ID,MULTICHOICE,NAME,PRIORITY) values (1,0,'oct.group.general',2);
Insert into OCT_PROPERTY_GROUP (ID,MULTICHOICE,NAME,PRIORITY) values (2,0,'oct.group.address',3);
Insert into OCT_PROPERTY_GROUP (ID,MULTICHOICE,NAME,PRIORITY) values (3,1,'oct.group.id',1);

ALTER TABLE "OCT_PROPERTY_GROUP" ADD UNIQUE ("NAME") ENABLE;
ALTER TABLE "OCT_PROPERTY_GROUP" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_PROPERTY_GROUP" MODIFY ("PRIORITY" NOT NULL ENABLE);
ALTER TABLE "OCT_PROPERTY_GROUP" MODIFY ("NAME" NOT NULL ENABLE);
ALTER TABLE "OCT_PROPERTY_GROUP" MODIFY ("ID" NOT NULL ENABLE);



--------------------------------------------------------
--  OCT_PROPERTY
--------------------------------------------------------
CREATE TABLE "OCT_PROPERTY"
(	
	"ID" NUMBER(19,0),
	"NAME" VARCHAR2(64 CHAR),
	"PRIORITY" NUMBER(10,0),
	"TYPE" VARCHAR2(255 CHAR),
	"GROUP_ID" NUMBER(19,0)
);

REM INSERTING into OCT_PROPERTY
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (1,'oct.property.name.at.birth',96,'ALPHANUMERIC',1);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (2,'oct.property.fathers.name',97,'ALPHANUMERIC',1);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (3,'oct.property.address',89,'LARGETEXT',2);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (5,'oct.property.postal.code',88,'ALPHANUMERIC',2);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (6,'oct.property.city',87,'ALPHANUMERIC',2);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (7,'oct.property.country',86,'COUNTRY',2);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (8,'oct.property.state',0,'ALPHANUMERIC',2);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (9,'oct.property.date.of.birth',94,'DATE',1);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (10,'oct.property.place.of.birth',93,'ALPHANUMERIC',1);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (11,'oct.property.issuing.authority',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (12,'oct.property.passport',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (13,'oct.property.id.card',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (14,'oct.property.residence.permit',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (15,'oct.property.personal.number',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (16,'oct.property.personal.id',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (17,'oct.property.permanent.residence',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (18,'oct.property.driving.license',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (19,'oct.property.national.id.number',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (20,'oct.property.social.security.id',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (21,'oct.property.registration.certificate',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (22,'oct.property.citizens.card',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (23,'oct.property.personal.no.in.passport',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (24,'oct.property.personal.no.in.id.card',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (26,'oct.property.other.1',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (27,'oct.property.other.2',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (28,'oct.property.other.3',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (29,'oct.property.other.4',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (30,'oct.property.other.5',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (31,'oct.property.other.6',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (32,'oct.property.other.7',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (33,'oct.property.other.8',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (34,'oct.property.other.9',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (35,'oct.property.other.10',0,'ALPHANUMERIC',3);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (36,'oct.property.date.of.birth.at',94,'DATE',1);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (37,'oct.property.firstname',99,'ALPHANUMERIC',1);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (38,'oct.property.lastname',98,'ALPHANUMERIC',1);
Insert into OCT_PROPERTY (ID,NAME,PRIORITY,TYPE,GROUP_ID) values (39,'oct.property.nationality',92,'NATIONALITY',1);

ALTER TABLE "OCT_PROPERTY" ADD UNIQUE ("NAME") ENABLE;
ALTER TABLE "OCT_PROPERTY" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_PROPERTY" MODIFY ("PRIORITY" NOT NULL ENABLE);
ALTER TABLE "OCT_PROPERTY" MODIFY ("NAME" NOT NULL ENABLE);
ALTER TABLE "OCT_PROPERTY" MODIFY ("ID" NOT NULL ENABLE);

ALTER TABLE "OCT_PROPERTY" ADD CONSTRAINT "FK789EEE34CBC45847" FOREIGN KEY ("GROUP_ID")
REFERENCES "OCT_PROPERTY_GROUP" ("ID") ENABLE;




--------------------------------------------------------
--  OCT_COUNTRY
--------------------------------------------------------
CREATE TABLE "OCT_COUNTRY"
(	
	"ID" NUMBER(19,0),
	"CODE" VARCHAR2(255 CHAR),
	"NAME" VARCHAR2(255 CHAR),
	"THRESHOLD" NUMBER(10, 0)
);

Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (1,'pl','oct.country.pl',38250);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (2,'de','oct.country.de',72000);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (3,'uk','oct.country.uk',54750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (4,'fr','oct.country.fr',55500);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (5,'be','oct.country.be',15750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (6,'ro','oct.country.ro',24000);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (8,'at','oct.country.at',13500);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (9,'lv','oct.country.lv',6000);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (10,'bg','oct.country.bg',12750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (11,'cy','oct.country.cy',4500);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (12,'lt','oct.country.lt',8250);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (13,'lu','oct.country.lu',4500);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (14,'mt','oct.country.mt',4500);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (15,'nl','oct.country.nl',19500);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (16,'pt','oct.country.pt',15750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (17,'sk','oct.country.sk',9750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (18,'si','oct.country.si',6000);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (19,'cz','oct.country.cz',15750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (20,'dk','oct.country.dk',9750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (21,'ee','oct.country.ee',4500);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (22,'fi','oct.country.fi',9750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (23,'el','oct.country.el',15750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (24,'es','oct.country.es',40500);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (25,'hu','oct.country.hu',15750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (26,'ie','oct.country.ie',8250);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (27,'se','oct.country.se',15000);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (28,'it','oct.country.it',54750);
Insert into OCT_COUNTRY (ID,CODE,NAME,THRESHOLD) values (29,'hr','oct.country.hr',8250);

ALTER TABLE "OCT_COUNTRY" ADD UNIQUE ("NAME") ENABLE;
ALTER TABLE "OCT_COUNTRY" ADD UNIQUE ("CODE") ENABLE;
ALTER TABLE "OCT_COUNTRY" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_COUNTRY" MODIFY ("NAME" NOT NULL ENABLE);
ALTER TABLE "OCT_COUNTRY" MODIFY ("CODE" NOT NULL ENABLE);
ALTER TABLE "OCT_COUNTRY" MODIFY ("ID" NOT NULL ENABLE);




--------------------------------------------------------
--  OCT_COUNTRY_LANG
--------------------------------------------------------
CREATE TABLE "OCT_COUNTRY_LANG"
(	
	"COUNTRY_ID" NUMBER(19,0),
	"LANGUAGE_ID" NUMBER(19,0)
);

REM INSERTING into OCT_COUNTRY_LANG
Insert into OCT_COUNTRY_LANG (COUNTRY_ID,LANGUAGE_ID) values (1,1);
Insert into OCT_COUNTRY_LANG (COUNTRY_ID,LANGUAGE_ID) values (2,2);
Insert into OCT_COUNTRY_LANG (COUNTRY_ID,LANGUAGE_ID) values (3,3);
Insert into OCT_COUNTRY_LANG (COUNTRY_ID,LANGUAGE_ID) values (4,4);
Insert into OCT_COUNTRY_LANG (COUNTRY_ID,LANGUAGE_ID) values (5,4);
Insert into OCT_COUNTRY_LANG (COUNTRY_ID,LANGUAGE_ID) values (5,5);
Insert into OCT_COUNTRY_LANG (COUNTRY_ID,LANGUAGE_ID) values (6,6);

ALTER TABLE "OCT_COUNTRY_LANG" ADD PRIMARY KEY ("COUNTRY_ID", "LANGUAGE_ID") ENABLE;
ALTER TABLE "OCT_COUNTRY_LANG" MODIFY ("LANGUAGE_ID" NOT NULL ENABLE);
ALTER TABLE "OCT_COUNTRY_LANG" MODIFY ("COUNTRY_ID" NOT NULL ENABLE);

ALTER TABLE "OCT_COUNTRY_LANG" ADD CONSTRAINT "FKA402F1F6513A6710" FOREIGN KEY ("LANGUAGE_ID")
REFERENCES "OCT_LANG" ("ID") ENABLE;
ALTER TABLE "OCT_COUNTRY_LANG" ADD CONSTRAINT "FKA402F1F6C25D8AE4" FOREIGN KEY ("COUNTRY_ID")
REFERENCES "OCT_COUNTRY" ("ID") ENABLE;




--------------------------------------------------------
--  OCT_COUNTRY_PROPERTY
--------------------------------------------------------
CREATE TABLE "OCT_COUNTRY_PROPERTY"
(
	"ID" NUMBER(19,0),
	"REQUIRED" NUMBER(3,0),
	"COUNTRY_ID" NUMBER(19,0),
	"PROPERTY_ID" NUMBER(19,0),
	"MARKEDASDELETED" NUMBER(2, 0) DEFAULT 0
);

REM INSERTING into OCT_COUNTRY_PROPERTY
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (1,1,1,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (3,1,1,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (4,1,1,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (5,1,1,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (6,1,1,19);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (7,1,6,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (9,1,6,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (10,1,6,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (11,1,6,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (12,1,6,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (13,1,6,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (14,1,6,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (15,1,6,16);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (16,1,6,17);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (17,1,6,21);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (19,1,8,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (21,1,8,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (22,1,8,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (23,1,8,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (24,1,8,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (25,1,8,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (26,1,8,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (27,1,8,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (28,1,5,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (30,1,5,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (31,1,5,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (32,1,5,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (33,1,5,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (34,1,5,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (35,1,10,2);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (36,1,10,15);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (37,1,11,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (38,1,11,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (39,1,19,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (40,1,19,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (41,1,20,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (43,1,20,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (44,1,20,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (45,1,20,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (46,1,20,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (47,1,20,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (48,1,21,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (50,1,21,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (51,1,21,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (52,1,21,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (53,1,21,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (54,1,21,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (55,1,22,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (56,1,22,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (58,1,4,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (60,1,4,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (61,1,4,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (62,1,4,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (63,1,4,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (64,1,4,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (65,1,4,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (67,1,2,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (69,1,2,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (70,1,2,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (71,1,2,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (72,1,2,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (73,1,2,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (76,1,23,1);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (77,1,23,2);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (78,1,23,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (79,1,23,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (80,1,23,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (81,1,23,17);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (82,1,25,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (83,1,25,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (84,1,25,15);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (85,1,26,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (87,0,26,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (88,1,26,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (89,1,26,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (92,1,28,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (94,1,28,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (95,1,28,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (96,1,28,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (97,1,28,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (98,1,28,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (99,1,28,11);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (100,1,28,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (101,1,28,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (105,1,9,16);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (106,1,12,15);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (107,1,13,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (109,1,14,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (110,1,14,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (111,1,15,1);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (112,1,15,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (114,1,15,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (115,1,15,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (116,1,15,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (117,1,15,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (118,1,15,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (119,1,16,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (120,1,16,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (121,1,16,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (122,1,16,22);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (123,1,17,1);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (124,1,17,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (126,1,17,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (127,1,17,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (128,1,17,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (129,1,17,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (130,1,17,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (131,1,18,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (132,1,18,10);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (140,1,24,12);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (141,1,24,13);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (146,1,3,3);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (148,1,3,5);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (149,1,3,6);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (150,1,3,7);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (151,1,3,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (153,1,26,9);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (165,1,1,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (166,1,2,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (167,1,3,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (168,1,4,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (169,1,5,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (170,1,6,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (172,1,8,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (173,1,9,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (174,1,10,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (175,1,11,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (176,1,12,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (177,1,13,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (178,1,14,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (179,1,15,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (180,1,16,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (181,1,17,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (182,1,18,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (183,1,19,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (184,1,20,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (185,1,21,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (186,1,22,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (187,1,23,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (188,1,24,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (189,1,25,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (190,1,26,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (191,1,27,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (192,1,28,37);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (193,1,1,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (194,1,2,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (195,1,3,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (196,1,4,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (197,1,5,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (198,1,6,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (200,1,8,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (201,1,9,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (202,1,10,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (203,1,11,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (204,1,12,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (205,1,13,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (206,1,14,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (207,1,15,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (208,1,16,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (209,1,17,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (210,1,18,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (211,1,19,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (212,1,20,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (213,1,21,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (214,1,22,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (215,1,23,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (216,1,24,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (217,1,25,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (218,1,26,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (219,1,27,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (220,1,28,38);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (221,1,1,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (222,1,2,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (223,1,3,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (224,1,4,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (225,1,5,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (226,1,6,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (228,1,8,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (229,1,9,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (230,1,10,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (231,1,11,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (232,1,12,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (233,1,13,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (234,1,14,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (235,1,15,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (236,1,16,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (237,1,17,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (238,1,18,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (239,1,19,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (240,1,20,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (241,1,21,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (242,1,22,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (243,1,23,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (244,1,24,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (245,1,25,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (246,1,26,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (247,1,27,39);
Insert into OCT_COUNTRY_PROPERTY (ID,REQUIRED,COUNTRY_ID,PROPERTY_ID) values (248,1,28,39);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (249, 1, 29, 37);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (250, 1, 29, 38);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (251, 1, 29, 3);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (252, 1, 29, 5);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (253, 1, 29, 6);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (254, 1, 29, 7);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (255, 1, 29, 39);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (256, 1, 29, 16);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (257, 1, 13, 3);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (258, 1, 13, 5);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (259, 1, 13, 6);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (260, 1, 13, 7);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (261, 1, 13, 9);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (262, 1, 24, 9);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (263, 1, 24, 16);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (264, 1, 4, 10);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (265, 1, 18, 15);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (266, 1, 27, 15);
INSERT INTO OCT_COUNTRY_PROPERTY (id, required, country_id, property_id) VALUES (267, 1, 14, 14);

ALTER TABLE "OCT_COUNTRY_PROPERTY" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_COUNTRY_PROPERTY" MODIFY ("ID" NOT NULL ENABLE);

ALTER TABLE "OCT_COUNTRY_PROPERTY" ADD CONSTRAINT "FK49CFF1DD86EFF898" FOREIGN KEY ("PROPERTY_ID")
REFERENCES "OCT_PROPERTY" ("ID") ENABLE;
ALTER TABLE "OCT_COUNTRY_PROPERTY" ADD CONSTRAINT "FK49CFF1DDC25D8AE4" FOREIGN KEY ("COUNTRY_ID")
REFERENCES "OCT_COUNTRY" ("ID") ENABLE;

--------------------------------------------------------
--  OCT_SIGNATURE
--------------------------------------------------------
CREATE TABLE "OCT_SIGNATURE"
(	
	"ID" NUMBER(19,0),
	"DATEOFSIGNATURE" TIMESTAMP(6),
	"DATEOFSIGNATURE_MSEC" NUMBER(19,0),
	"FINGERPRINT" VARCHAR2(2048 CHAR),
	"UUID" VARCHAR2(255 CHAR),
	"COUNTRYTOSIGNFOR_ID" NUMBER(19,0),
	"DESCRIPTION_ID" NUMBER(19,0),
  	"ANNEXREVISION" NUMBER(3,0) NOT NULL,
	"SIGNATORY_INFO" BLOB
);

ALTER TABLE "OCT_SIGNATURE" ADD UNIQUE ("FINGERPRINT") ENABLE;
ALTER TABLE "OCT_SIGNATURE" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_SIGNATURE" MODIFY ("DESCRIPTION_ID" NOT NULL ENABLE);
ALTER TABLE "OCT_SIGNATURE" MODIFY ("COUNTRYTOSIGNFOR_ID" NOT NULL ENABLE);
ALTER TABLE "OCT_SIGNATURE" MODIFY ("UUID" NOT NULL ENABLE);
ALTER TABLE "OCT_SIGNATURE" MODIFY ("FINGERPRINT" NOT NULL ENABLE);
ALTER TABLE "OCT_SIGNATURE" MODIFY ("DATEOFSIGNATURE" NOT NULL ENABLE);
ALTER TABLE "OCT_SIGNATURE" MODIFY ("ID" NOT NULL ENABLE);

ALTER TABLE "OCT_SIGNATURE" ADD CONSTRAINT "FK64E94196933581F" FOREIGN KEY ("COUNTRYTOSIGNFOR_ID")
REFERENCES "OCT_COUNTRY" ("ID") ENABLE;
ALTER TABLE "OCT_SIGNATURE" ADD CONSTRAINT "FK64E94198EFFF971" FOREIGN KEY ("DESCRIPTION_ID")
REFERENCES "OCT_INITIATIVE_DESC" ("ID") ENABLE;


--------------------------------------------------------
--  OCT_SETTINGS
--------------------------------------------------------
CREATE TABLE "OCT_SETTINGS"
(
  "PARAM" VARCHAR2(128 CHAR),
  "VALUE" VARCHAR2(4000 CHAR)
);
INSERT  INTO oct_settings(param, value) VALUES ('callback_url', '');
INSERT  INTO oct_settings(param, value) VALUES ('facebook_url', '');
INSERT  INTO oct_settings(param, value) VALUES ('google_url', '');
INSERT  INTO oct_settings(param, value) VALUES ('twitter_url', '');
INSERT  INTO oct_settings(param, value) VALUES ('optional_validation', 'false');
INSERT  INTO oct_settings(param, value) VALUES ('show_distribution_map', 'true');
INSERT  INTO oct_settings(param, value) VALUES ('show_progression_bar', 'true');
INSERT  INTO oct_settings(param, value) VALUES ('show_recent_supporters', 'true');
INSERT  INTO oct_settings(param, value) VALUES ('signature_goal', '1000000');

ALTER TABLE "OCT_SETTINGS" ADD PRIMARY KEY ("PARAM") ENABLE;



--------------------------------------------------------
--  OCT_SOCIAL_MEDIA
--------------------------------------------------------
CREATE TABLE OCT_SOCIAL_MEDIA
(
  "ID" NUMBER NOT NULL,
  "NAME" VARCHAR2(20 BYTE) NOT NULL
);

ALTER TABLE "OCT_SOCIAL_MEDIA" ADD PRIMARY KEY ("ID") ENABLE;
INSERT INTO OCT_SOCIAL_MEDIA VALUES (1,'facebook');
INSERT INTO OCT_SOCIAL_MEDIA VALUES (2,'twitter');
INSERT INTO OCT_SOCIAL_MEDIA VALUES (3,'google');
INSERT INTO OCT_SOCIAL_MEDIA VALUES (4,'callforaction');


--------------------------------------------------------
--  OCT_SOCIAL_MEDIA_MSG
--------------------------------------------------------
CREATE TABLE OCT_SOCIAL_MEDIA_MSG
(
  "ID" NUMBER NOT NULL,
  "MEDIA_ID" NUMBER NOT NULL,
  "LANGUAGE_ID" NUMBER NOT NULL,
  "MESSAGE" VARCHAR2(4000 BYTE)
);

insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (25,4,1,'Dejte vědět ostatním');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (26,4,2,'Sig det videre til dine venner');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (27,4,3,'Erzählen Sie Ihren Freunden davon');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (28,4,4,'Jaga sõpradega');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (29,4,5,'Μιλήστε στους φίλους σας');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (30,4,6,'Tell your friends');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (31,4,7,'Comparte con tus amigos');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (32,4,8,'Parlez-en à vos proches');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (33,4,9,'Dillo ai tuoi amici');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (34,4,10,'Pastāstiet draugiem!');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (35,4,11,'Papasakokite draugams');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (36,4,12,'Do chairde a chur ar an eolas');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (37,4,13,'Mondja el ismerőseinek.');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (38,4,14,'Għid lil ħbiebek');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (39,4,15,'Deel dit met vrienden!');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (40,4,16,'Powiedz o tym znajomym');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (41,4,17,'Partilhe com os seus amigos');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (42,4,18,'Transmiteți-le prietenilor');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (43,4,19,'Povedzte o tom svojim priateľom');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (44,4,20,'Povej prijateljem');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (45,4,21,'Jaa eteenpäin');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (46,4,22,'Berätta för dina vänner');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (47,4,23,'Споделете с вашите приятели');
insert into OCT_SOCIAL_MEDIA_MSG(ID,MEDIA_ID,LANGUAGE_ID,MESSAGE) values (48,4,24,'Podijeli s prijateljima');



ALTER TABLE "OCT_SOCIAL_MEDIA_MSG" ADD CONSTRAINT "FK_SOCIAL_MEDIA_LANGUAGE_ID" FOREIGN KEY ("LANGUAGE_ID")
REFERENCES "OCT_LANG" ("ID") ENABLE;

ALTER TABLE "OCT_SOCIAL_MEDIA_MSG" ADD CONSTRAINT "FK_SOCIAL_MEDIA_NAME_ID" FOREIGN KEY ("MEDIA_ID")
REFERENCES "OCT_SOCIAL_MEDIA" ("ID") ENABLE;

--------------------------------------------------------
--  OCT_FEEDBACK_RANGE
--------------------------------------------------------
CREATE TABLE "OCT_FEEDBACK_RANGE"
   ( 
	"ID" NUMBER(19,0),
	"LABEL" VARCHAR2(50 CHAR),
	"DISPLAYORDER" NUMBER(19,0),
	"ENABLED" NUMBER(2,0) DEFAULT 0
  );
  
INSERT INTO OCT_FEEDBACK_RANGE (ID, LABEL, DISPLAYORDER, ENABLED) VALUES (1,'oct.feedback.bad', 1, 1); 
INSERT INTO OCT_FEEDBACK_RANGE (ID, LABEL, DISPLAYORDER, ENABLED) VALUES (2,'oct.feedback.fair', 2, 1); 
INSERT INTO OCT_FEEDBACK_RANGE (ID, LABEL, DISPLAYORDER, ENABLED) VALUES (3,'oct.feedback.fine', 3, 1); 
INSERT INTO OCT_FEEDBACK_RANGE (ID, LABEL, DISPLAYORDER, ENABLED) VALUES (4,'oct.feedback.good', 4, 1); 

ALTER TABLE "OCT_FEEDBACK_RANGE" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_FEEDBACK_RANGE" MODIFY ("ID" NOT NULL ENABLE);



--------------------------------------------------------
--  OCT_FEEDBACK
--------------------------------------------------------
CREATE TABLE "OCT_FEEDBACK"
(
	"ID" NUMBER(19,0),
   	"FEEDBACKRANGE_ID" NUMBER(19,0),
   	"FEEDBACKCOMMENT"	VARCHAR2(2000 CHAR),
   	"FEEDBACKDATE" TIMESTAMP (6)
);

ALTER TABLE "OCT_FEEDBACK" ADD PRIMARY KEY ("ID") ENABLE;
ALTER TABLE "OCT_FEEDBACK" MODIFY ("ID" NOT NULL ENABLE);

ALTER TABLE "OCT_FEEDBACK" ADD CONSTRAINT "FK_FEEDBACK_RANGE" FOREIGN KEY ("FEEDBACKRANGE_ID")
REFERENCES "OCT_FEEDBACK_RANGE" ("ID") ENABLE;



--------------------------------------------------------
--  OCT_STEP_STATE
--------------------------------------------------------
CREATE TABLE "OCT_STEP_STATE"
(	
  "ID" NUMBER(19,0), 
  "STRUCTURE" NUMBER(1,0) DEFAULT 0 NOT NULL, 
  "CERTIFICATE" NUMBER(1,0) DEFAULT 0 NOT NULL, 
  "PERSONALISE" NUMBER(1,0) DEFAULT 0 NOT NULL, 
  "SOCIAL" NUMBER(1,0) DEFAULT 0 NOT NULL, 
  "LIVE"  NUMBER(1,0) DEFAULT 0 NOT NULL, 
  "LIVE_DATE" TIMESTAMP (6)
);

INSERT INTO OCT_STEP_STATE (ID, STRUCTURE, CERTIFICATE, PERSONALISE, SOCIAL, LIVE, LIVE_DATE) VALUES (1, 0, 0, 0, 0, 0, null);

ALTER TABLE "OCT_STEP_STATE" MODIFY ("ID" NOT NULL ENABLE);
ALTER TABLE "OCT_STEP_STATE" ADD PRIMARY KEY ("ID");

--------------------------------------------------------
--  OCT_AUTHENTICATION_LOCK
--------------------------------------------------------
CREATE TABLE OCT_AUTHENTICATION_LOCK
(
  USERNAME VARCHAR2(50 BYTE) NOT NULL,
  MAXATTEMPTS INTEGER NOT NULL,
  TIMEOFLASTFAILEDATTEMPT  TIMESTAMP(6),
  LOCKPERIOD INTEGER NOT NULL,
  CONSTRAINT OCT_AUTHENTICATION_LOCK_PK PRIMARY KEY (USERNAME)
);

--------------------------------------------------------
--  OCT_EXPORT_HISTORY
--------------------------------------------------------
CREATE TABLE OCT_EXPORT_HISTORY
   (	
   	"ID" NUMBER(19,0) NOT NULL ENABLE, 
   	"JOBID" VARCHAR2(100 CHAR), 
	"EXPORTDATE" TIMESTAMP (6), 
	"BATCHSTATUS" VARCHAR2(100 CHAR), 
	"EXITSTATUS" VARCHAR2(100 CHAR), 
	"DURATION" VARCHAR2(100 CHAR), 
	"COUNTRIESPARAM" VARCHAR2(2000 CHAR), 
	"STARTDATEPARAM" VARCHAR2(200 CHAR), 
	"ENDDATEPARAM" VARCHAR2(200 CHAR), 
	"EXPORTPROGRESS" NUMBER(19,0), 
	"EXPORTSUMMARY"VARCHAR2(1000 CHAR),
	"VALIDATIONPROGRESS" NUMBER(19,0), 
	"VALIDATIONSUMMARY"VARCHAR2(1000 CHAR),
	"ERRORMESSAGE" VARCHAR2(2000 CHAR), 
	"EXPORTDIRECTORYPATH" VARCHAR2(250 CHAR), 
	 PRIMARY KEY ("ID")
  );
  
--------------------------------------------------------
--  IDENTITY_VALUE
--------------------------------------------------------  
 CREATE TABLE OCT_IDENTITY_VALUE
   (	
   	"ID" NUMBER(19,0) NOT NULL ENABLE, 
   	"COUNTRYCODE" VARCHAR2(100 CHAR), 
	"PROPERTYID" NUMBER(19,0) NOT NULL, 
	"IDENTITYVALUE" VARCHAR2(2054 CHAR), 
	 PRIMARY KEY ("ID")
  );
  
--------------------------------------------------------
--  OCT_TRANSLATION
--------------------------------------------------------
CREATE TABLE OCT_TRANSLATION
(
  LANG_ID NUMBER(19,0) NOT NULL,
  TR_KEY VARCHAR2(250 CHAR ) NOT NULL,
  TR_DESCRIPTION CLOB NOT NULL
);

ALTER TABLE "OCT_TRANSLATION" ADD PRIMARY KEY ("TR_KEY", "LANG_ID") ENABLE;
ALTER TABLE "OCT_TRANSLATION" ADD CONSTRAINT "FK_TRANSLATION_LANG" FOREIGN KEY ("LANG_ID") REFERENCES "OCT_LANG" ("ID") ENABLE;

/* public receipt */
/*BG */
INSERT INTO OCT_TRANSLATION VALUES (23,'public.receipt.pdf.title','ÐŸÐ¾Ñ‚Ð²ÑŠÑ€Ð¶Ð´ÐµÐ½Ð¸Ðµ Ð·Ð° Ð¿Ð¾Ð»ÑƒÑ‡Ð°Ð²Ð°Ð½Ðµ Ð½Ð° Ð¸Ð·Ñ�Ð²Ð»ÐµÐ½Ð¸Ðµ Ð·Ð° Ð¿Ð¾Ð´ÐºÑ€ÐµÐ¿Ð°');
INSERT INTO OCT_TRANSLATION VALUES (23,'public.receipt.pdf.date','Ð”Ð°Ñ‚Ð°:');
INSERT INTO OCT_TRANSLATION VALUES (23,'public.receipt.pdf.signature.id','Ð˜Ð´ÐµÐ½Ñ‚Ð¸Ñ„Ð¸ÐºÐ°Ñ†Ð¸Ð¾Ð½ÐµÐ½ Ð½Ð¾Ð¼ÐµÑ€ Ð½Ð° Ð¿Ð¾Ð´Ð¿Ð¸Ñ�Ð°:');
INSERT INTO OCT_TRANSLATION VALUES (23,'public.receipt.pdf.statement','ÐœÐ¾Ð»Ñ�, Ð·Ð°Ð¿Ð¸ÑˆÐµÑ‚Ðµ Ñ�Ð¸ Ð´Ð°Ð½Ð½Ð¸Ñ‚Ðµ Ð¿Ð¾-Ð´Ð¾Ð»Ñƒ. Ð¢Ðµ Ð¼Ð¾Ð³Ð°Ñ‚ Ð´Ð° Ð²Ð¸ Ð¿Ð¾Ñ‚Ñ€Ñ�Ð±Ð²Ð°Ñ‚, Ð°ÐºÐ¾ Ð¸Ð¼Ð°Ñ‚Ðµ Ð²ÑŠÐ¿Ñ€Ð¾Ñ�Ð¸ ÐºÑŠÐ¼ Ð¾Ñ€Ð³Ð°Ð½Ð¸Ð·Ð°Ñ‚Ð¾Ñ€Ð¸Ñ‚Ðµ Ð¾Ñ‚Ð½Ð¾Ñ�Ð½Ð¾ Ð²Ð°ÑˆÐµÑ‚Ð¾ Ð¸Ð·Ñ�Ð²Ð»ÐµÐ½Ð¸Ðµ Ð·Ð° Ð¿Ð¾Ð´ÐºÑ€ÐµÐ¿Ð°.');
/*CS */
INSERT INTO OCT_TRANSLATION VALUES (1,'public.receipt.pdf.title','PotvrzenÃ­ o odeslÃ¡nÃ­ prohlÃ¡Å¡enÃ­ o podpoÅ™e');
INSERT INTO OCT_TRANSLATION VALUES (1,'public.receipt.pdf.date','Datum:');
INSERT INTO OCT_TRANSLATION VALUES (1,'public.receipt.pdf.signature.id','IdentifikÃ¡tor:');
INSERT INTO OCT_TRANSLATION VALUES (1,'public.receipt.pdf.statement','ReferenÄ�nÃ­ Ãºdaje uvedenÃ© nÃ­Å¾e si uchovejte pro pÅ™Ã­padnÃ½ dalÅ¡Ã­ kontakt s organizÃ¡tory ohlednÄ› vaÅ¡eho prohlÃ¡Å¡enÃ­ o podpoÅ™e.');
/*DA*/
INSERT INTO OCT_TRANSLATION VALUES (2,'public.receipt.pdf.title','BekrÃ¦ftelse af stÃ¸ttetilkendegivelse');
INSERT INTO OCT_TRANSLATION VALUES (2,'public.receipt.pdf.date','Dato:');
INSERT INTO OCT_TRANSLATION VALUES (2,'public.receipt.pdf.signature.id','Underskriftens nummer:');
INSERT INTO OCT_TRANSLATION VALUES (2,'public.receipt.pdf.statement','Gem referencerne nedenfor i tilfÃ¦lde af, at du skulle have spÃ¸rgsmÃ¥l til initiativtagerne vedrÃ¸rende din stÃ¸ttetilkendegivelse.');
/*DE*/
INSERT INTO OCT_TRANSLATION VALUES (3,'public.receipt.pdf.title','EmpfangsbestÃ¤tigung fÃ¼r Ihre UnterstÃ¼tzungsbekundung');
INSERT INTO OCT_TRANSLATION VALUES (3,'public.receipt.pdf.date','Datum:');
INSERT INTO OCT_TRANSLATION VALUES (3,'public.receipt.pdf.signature.id','Kennung:');
INSERT INTO OCT_TRANSLATION VALUES (3,'public.receipt.pdf.statement','Bitte bewahren Sie die nachstehenden Referenzangaben fÃ¼r eventuelle Anfragen an die Organisatoren hinsichtlich Ihrer UnterstÃ¼tzungsbekundung.');
/*EL*/
INSERT INTO OCT_TRANSLATION VALUES (5,'public.receipt.pdf.title','Î‘Ï€ÏŒÎ´ÎµÎ¹Î¾Î· Î´Î®Î»Ï‰ÏƒÎ·Ï‚ Ï…Ï€Î¿ÏƒÏ„Î®Ï�Î¹Î¾Î·Ï‚');
INSERT INTO OCT_TRANSLATION VALUES (5,'public.receipt.pdf.date','Î—Î¼ÎµÏ�Î¿Î¼Î·Î½Î¯Î±:');
INSERT INTO OCT_TRANSLATION VALUES (5,'public.receipt.pdf.signature.id','Î‘Î½Î±Î³Î½Ï‰Ï�Î¹ÏƒÏ„Î¹ÎºÏŒ Ï…Ï€Î¿Î³Ï�Î±Ï†Î®Ï‚:');
INSERT INTO OCT_TRANSLATION VALUES (5,'public.receipt.pdf.statement','ÎšÏ�Î±Ï„Î®ÏƒÏ„Îµ Ï„Î± Ï€Î±Ï�Î±ÎºÎ¬Ï„Ï‰ ÏƒÏ„Î¿Î¹Ï‡ÎµÎ¯Î± Î³Î¹Î± Ï„Ï…Ï‡ÏŒÎ½ ÎµÏ�Ï‰Ï„Î®ÏƒÎµÎ¹Ï‚ Ï€Ï�Î¿Ï‚ Ï„Î¿Ï…Ï‚ Î´Î¹Î¿Ï�Î³Î±Î½Ï‰Ï„Î­Ï‚ ÏƒÏ‡ÎµÏ„Î¹ÎºÎ¬ Ï„Î· Î´Î®Î»Ï‰ÏƒÎ· Ï…Ï€Î¿ÏƒÏ„Î®Ï�Î¹Î¾Î®Ï‚ ÏƒÎ±Ï‚.');
/*EN*/
INSERT INTO OCT_TRANSLATION VALUES (6,'public.receipt.pdf.title','Statement of support receipt');
INSERT INTO OCT_TRANSLATION VALUES (6,'public.receipt.pdf.date','Date');
INSERT INTO OCT_TRANSLATION VALUES (6,'public.receipt.pdf.signature.id','Signature identifier:');
INSERT INTO OCT_TRANSLATION VALUES (6,'public.receipt.pdf.statement','Please keep the references below for any enquiries to the organisers on your statement of support.');
/*ES*/
INSERT INTO OCT_TRANSLATION VALUES (7,'public.receipt.pdf.title','Acuse de recibo de la declaraciÃ³n de apoyo');
INSERT INTO OCT_TRANSLATION VALUES (7,'public.receipt.pdf.date','Fecha:');
INSERT INTO OCT_TRANSLATION VALUES (7,'public.receipt.pdf.signature.id','Identificador de firma:');
INSERT INTO OCT_TRANSLATION VALUES (7,'public.receipt.pdf.statement','Conserve las referencias que se indican mÃ¡s abajo para cualquier consulta a los organizadores relacionada con su declaraciÃ³n de apoyo.');
/*ET*/
INSERT INTO OCT_TRANSLATION VALUES (4,'public.receipt.pdf.title','Toetusavalduse kinnitus');
INSERT INTO OCT_TRANSLATION VALUES (4,'public.receipt.pdf.date','KuupÃ¤ev:');
INSERT INTO OCT_TRANSLATION VALUES (4,'public.receipt.pdf.signature.id','Toetusavalduse tunnusnumber:');
INSERT INTO OCT_TRANSLATION VALUES (4,'public.receipt.pdf.statement','Hoidke allpool esitatud viiteandmed alles. Neid vÃµib vaja minna, kui soovite seoses oma toetusavaldusega korraldajatelt midagi kÃ¼sida.');
/*FI*/
INSERT INTO OCT_TRANSLATION VALUES (21,'public.receipt.pdf.title','Vahvistus tuenilmauksen toimittamisesta');
INSERT INTO OCT_TRANSLATION VALUES (21,'public.receipt.pdf.date','PÃ¤ivÃ¤ys:');
INSERT INTO OCT_TRANSLATION VALUES (21,'public.receipt.pdf.signature.id','Allekirjoituksen tunniste:');
INSERT INTO OCT_TRANSLATION VALUES (21,'public.receipt.pdf.statement','SÃ¤ilytÃ¤ seuraavat viitetiedot. Tarvitset niitÃ¤, jos haluat kysyÃ¤ aloitteen jÃ¤rjestÃ¤jiltÃ¤ tuenilmauksestasi.');
/*FR*/
INSERT INTO OCT_TRANSLATION VALUES (8,'public.receipt.pdf.title','AccusÃ© de rÃ©ception de la dÃ©claration de soutien');
INSERT INTO OCT_TRANSLATION VALUES (8,'public.receipt.pdf.date','Date:');
INSERT INTO OCT_TRANSLATION VALUES (8,'public.receipt.pdf.signature.id','Identifiant de signature:');
INSERT INTO OCT_TRANSLATION VALUES (8,'public.receipt.pdf.statement','Veuillez conserver les rÃ©fÃ©rences ci-dessous et les mentionner dans toute demande adressÃ©e aux organisateurs concernant votre dÃ©claration de soutien.');
/*GA*/
INSERT INTO OCT_TRANSLATION VALUES (12,'public.receipt.pdf.title','AdmhÃ¡il ar do rÃ¡iteas tacaÃ­ochta');
INSERT INTO OCT_TRANSLATION VALUES (12,'public.receipt.pdf.date','DÃ¡ta:');
INSERT INTO OCT_TRANSLATION VALUES (12,'public.receipt.pdf.signature.id','AitheantÃ³ir an tsÃ­nithe:');
INSERT INTO OCT_TRANSLATION VALUES (12,'public.receipt.pdf.statement','BÃ­odh na tagairtÃ­ thÃ­os agat chun aon cheist faoi do rÃ¡iteas tacaÃ­ochta a chur ar na heagraithe.');
/*HR*/
INSERT INTO OCT_TRANSLATION VALUES (24,'public.receipt.pdf.title','Potvrda o primitku izjave o podrÅ¡ci');
INSERT INTO OCT_TRANSLATION VALUES (24,'public.receipt.pdf.date','Datum:');
INSERT INTO OCT_TRANSLATION VALUES (24,'public.receipt.pdf.signature.id','Identifikator potpisa:');
INSERT INTO OCT_TRANSLATION VALUES (24,'public.receipt.pdf.statement','SaÄ�uvajte sljedeÄ‡e podatke kako biste ih mogli navesti pri slanju organizatorima upita povezanih s izjavom o potpori koju ste poslali.');
/*HU*/
INSERT INTO OCT_TRANSLATION VALUES (13,'public.receipt.pdf.title','TÃ¡mogatÃ³ nyilatkozat nyugtÃ¡ja');
INSERT INTO OCT_TRANSLATION VALUES (13,'public.receipt.pdf.date','DÃ¡tum:');
INSERT INTO OCT_TRANSLATION VALUES (13,'public.receipt.pdf.signature.id','A nyilatkozat azonosÃ­tÃ³ szÃ¡ma:');
INSERT INTO OCT_TRANSLATION VALUES (13,'public.receipt.pdf.statement','KÃ©rjÃ¼k, Å‘rizze meg a lenti hivatkozÃ¡si adatokat arra az esetre, ha tudakozÃ³dni kÃ­vÃ¡n a kezdemÃ©nyezÃ©s szervezÅ‘inÃ©l az Ã–n Ã¡ltal benyÃºjtott tÃ¡mogatÃ³ nyilatkozattal kapcsolatban.');
/*IT*/
INSERT INTO OCT_TRANSLATION VALUES (9,'public.receipt.pdf.title','Prova dell''avvenuta dichiarazione di sostegno');
INSERT INTO OCT_TRANSLATION VALUES (9,'public.receipt.pdf.date','Data:');
INSERT INTO OCT_TRANSLATION VALUES (9,'public.receipt.pdf.signature.id','Identificatore della firma:');
INSERT INTO OCT_TRANSLATION VALUES (9,'public.receipt.pdf.statement','Conservare il riferimento seguente per eventuali domande agli organizzatori sulla dichiarazione di sostegno.');
/*LT*/
INSERT INTO OCT_TRANSLATION VALUES (11,'public.receipt.pdf.title','Pritarimo pareiÅ¡kimo pasiraÅ¡ymo patvirtinimas');
INSERT INTO OCT_TRANSLATION VALUES (11,'public.receipt.pdf.date','Data:');
INSERT INTO OCT_TRANSLATION VALUES (11,'public.receipt.pdf.signature.id','ParaÅ¡o identifikatorius:');
INSERT INTO OCT_TRANSLATION VALUES (11,'public.receipt.pdf.statement','PraÅ¡ome iÅ¡saugoti toliau pateiktas nuorodas ir jas naudoti, kai Ä¯ organizatorius kreipsitÄ—s jÅ«sÅ³ pritarimo pareiÅ¡kimo klausimais');
/*LV*/
INSERT INTO OCT_TRANSLATION VALUES (10,'public.receipt.pdf.title','SaÅ†emts paziÅ†ojums par atbalstu');
INSERT INTO OCT_TRANSLATION VALUES (10,'public.receipt.pdf.date','Datums:');
INSERT INTO OCT_TRANSLATION VALUES (10,'public.receipt.pdf.signature.id','Paraksta kods:');
INSERT INTO OCT_TRANSLATION VALUES (10,'public.receipt.pdf.statement','SaglabÄ�jiet zemÄ�k redzamo informÄ�ciju gadÄ«jumam, ja vÄ“lÄ“sieties sazinÄ�ties ar organizatoriem, lai uzdotu jautÄ�jumus par savu paziÅ†ojumu par atbalstu.');
/*MT*/
INSERT INTO OCT_TRANSLATION VALUES (14,'public.receipt.pdf.title','RiÄ‹evuta tad-dikjarazzjoni taâ€™ appoÄ¡Ä¡');
INSERT INTO OCT_TRANSLATION VALUES (14,'public.receipt.pdf.date','Data:');
INSERT INTO OCT_TRANSLATION VALUES (14,'public.receipt.pdf.signature.id','Identifikatur tal-firma:');
INSERT INTO OCT_TRANSLATION VALUES (14,'public.receipt.pdf.statement','Jekk jogÄ§Ä¡bok Å¼omm ir-referenzi t''hawn taÄ§t gÄ§al kull mistoqsija lill-organizzaturi dwar id-dikjarazzjoni ta''appoÄ¡Ä¡ tiegÄ§ek');
/*NL*/
INSERT INTO OCT_TRANSLATION VALUES (15,'public.receipt.pdf.title','Bevestiging ontvangst steunbetuiging');
INSERT INTO OCT_TRANSLATION VALUES (15,'public.receipt.pdf.date','Datum:');
INSERT INTO OCT_TRANSLATION VALUES (15,'public.receipt.pdf.signature.id','Identificatienummer steunbetuiging:');
INSERT INTO OCT_TRANSLATION VALUES (15,'public.receipt.pdf.statement','Bewaar onderstaand identificatienummer voor als u contact moet opnemen met de organisatoren in verband met uw steunbetuiging.');
/*PL*/
INSERT INTO OCT_TRANSLATION VALUES (16,'public.receipt.pdf.title','Potwierdzenie otrzymania deklaracji poparcia');
INSERT INTO OCT_TRANSLATION VALUES (16,'public.receipt.pdf.date','Data:');
INSERT INTO OCT_TRANSLATION VALUES (16,'public.receipt.pdf.signature.id','Numer identyfikacyjny podpisu:');
INSERT INTO OCT_TRANSLATION VALUES (16,'public.receipt.pdf.statement','ProszÄ™ zachowaÄ‡ poniÅ¼sze dane do celÃ³w kontaktÃ³w z organizatorami w sprawie zÅ‚oÅ¼onej deklaracji poparcia.');
/*PT*/
INSERT INTO OCT_TRANSLATION VALUES (17,'public.receipt.pdf.title','Aviso de receÃ§Ã£o da declaraÃ§Ã£o de apoio');
INSERT INTO OCT_TRANSLATION VALUES (17,'public.receipt.pdf.date','Data:');
INSERT INTO OCT_TRANSLATION VALUES (17,'public.receipt.pdf.signature.id','Identificador de assinatura:');
INSERT INTO OCT_TRANSLATION VALUES (17,'public.receipt.pdf.statement','Deve guardar as referÃªncias infra para eventuais perguntas aos organizadores sobre a sua declaraÃ§Ã£o de apoio.');
/*RO*/
INSERT INTO OCT_TRANSLATION VALUES (18,'public.receipt.pdf.title','Confirmare de primire a declaraÈ›iei de susÈ›inere');
INSERT INTO OCT_TRANSLATION VALUES (18,'public.receipt.pdf.date','Data:');
INSERT INTO OCT_TRANSLATION VALUES (18,'public.receipt.pdf.signature.id','Identificator semnÄƒturÄƒ:');
INSERT INTO OCT_TRANSLATION VALUES (18,'public.receipt.pdf.statement','VÄƒ rugÄƒm sÄƒ folosiÈ›i datele de mai jos pentru orice Ã®ntrebÄƒri adresate organizatorilor cu privire la declaraÈ›ia dvs. de susÈ›inere.');
/*SK*/
INSERT INTO OCT_TRANSLATION VALUES (19,'public.receipt.pdf.title','Potvrdenie o podpore');
INSERT INTO OCT_TRANSLATION VALUES (19,'public.receipt.pdf.date','DÃ¡tum:');
INSERT INTO OCT_TRANSLATION VALUES (19,'public.receipt.pdf.signature.id','IdentifikÃ¡tor vyhlÃ¡senia o podpore:');
INSERT INTO OCT_TRANSLATION VALUES (19,'public.receipt.pdf.statement','UloÅ¾te si tieto Ãºdaje v prÃ­pade, Å¾e by ste sa organizÃ¡torov chceli opÃ½taÅ¥ na vaÅ¡e vyhlÃ¡senie o podpore.');
/*SL*/
INSERT INTO OCT_TRANSLATION VALUES (20,'public.receipt.pdf.title','Potrdilo o prejemu izjave o podpori');
INSERT INTO OCT_TRANSLATION VALUES (20,'public.receipt.pdf.date','Datum:');
INSERT INTO OCT_TRANSLATION VALUES (20,'public.receipt.pdf.signature.id','Identifikacijska oznaka podpisa:');
INSERT INTO OCT_TRANSLATION VALUES (20,'public.receipt.pdf.statement','Shranite spodnje podatke v zvezi z vaÅ¡i izjavo o podpori, saj jih boste potrebovali v primeru vpraÅ¡anj za organizatorje.');
/*SV*/
INSERT INTO OCT_TRANSLATION VALUES (22,'public.receipt.pdf.title','BekrÃ¤ftelse pÃ¥ underskrift');
INSERT INTO OCT_TRANSLATION VALUES (22,'public.receipt.pdf.date','Datum:');
INSERT INTO OCT_TRANSLATION VALUES (22,'public.receipt.pdf.signature.id','Signaturkod:');
INSERT INTO OCT_TRANSLATION VALUES (22,'public.receipt.pdf.statement','Spara uppgifterna nedan. Du behÃ¶ver dem om du vill kontakta organisatÃ¶rerna.');

--------------------------------------------------------
--  HIBERNATE_SEQUENCES
--------------------------------------------------------
CREATE TABLE HIBERNATE_SEQUENCES (
  SEQUENCE_NAME VARCHAR2(250 CHAR) NOT NULL,
  SEQUENCE_NEXT_HI_VALUE NUMBER(19,0) NOT NULL
);
INSERT INTO HIBERNATE_SEQUENCES VALUES ('social_media_message_id', 49);
INSERT INTO HIBERNATE_SEQUENCES VALUES ('feedback_id', 1);
INSERT INTO HIBERNATE_SEQUENCES VALUES ('initiative_description_id', 1);
INSERT INTO HIBERNATE_SEQUENCES VALUES ('contact_id', 1);
INSERT INTO HIBERNATE_SEQUENCES VALUES ('signature_id', 1);
INSERT INTO HIBERNATE_SEQUENCES VALUES ('identity_value_id', 1);

ALTER TABLE "HIBERNATE_SEQUENCES" ADD PRIMARY KEY ("SEQUENCE_NAME") ENABLE;


--------------------------------------------------------
--  VIEWS
--------------------------------------------------------
/* statistic VIEW Progression map - signature by country*/

CREATE VIEW SigByCountryView AS
	SELECT    COUNT(S.ID) as SOS,
	          EXTRACT(month FROM S.DATEOFSIGNATURE) as MONTH,
	          EXTRACT(year FROM S.DATEOFSIGNATURE) as YEAR,
	          C.CODE as CODE
	FROM      OCT_SIGNATURE S RIGHT JOIN OCT_COUNTRY C ON C.ID = S.COUNTRYTOSIGNFOR_ID
	GROUP BY  C.CODE, EXTRACT(month FROM S.DATEOFSIGNATURE), EXTRACT(year FROM S.DATEOFSIGNATURE);

/* last supporters view */
CREATE VIEW LastSignaturesView AS
	SELECT id as SIGNATUREID
	FROM  (
	      SELECT id
	      FROM oct_signature ORDER BY id DESC
	      )
	 WHERE ROWNUM <=5;

CREATE VIEW FASTSIGNATURECOUNTVIEW AS

(	
	SELECT    	C.ID AS COUNTRYID, 
				COUNT(*) AS COUNT,
				C.THRESHOLD AS THRESHOLD,
				C.CODE AS COUNTRYCODE
	FROM      	OCT_SIGNATURE S JOIN OCT_COUNTRY C ON C.ID = S.COUNTRYTOSIGNFOR_ID
	GROUP BY  	C.ID, C.THRESHOLD, C.CODE	
	UNION	
	SELECT    	99 AS COUNTRYID, 
				COUNT(*) AS COUNT,
				NULL AS THRESHOLD,
				NULL AS COUNTRYCODE
	FROM      	OCT_SIGNATURE S
);


CREATE TABLE OCT_COUNTRY_RULE
(
	ID NUMBER(19,0),
	CODE VARCHAR2(255 CHAR),
  LAST_UPDATE_DATE TIMESTAMP default CURRENT_TIMESTAMP,
  RULE CLOB
);
ALTER TABLE "OCT_COUNTRY_RULE" ADD PRIMARY KEY ("ID");

CREATE TRIGGER TRG_COUNTRY_RULE_AUDIT BEFORE INSERT OR UPDATE ON OCT_COUNTRY_RULE FOR EACH ROW DECLARE BEGIN :new.LAST_UPDATE_DATE := SYSDATE; END TRG_COUNTRY_RULE_AUDIT;
/
-- batch export tables

CREATE TABLE BATCH_JOB_INSTANCE  (
	JOB_INSTANCE_ID NUMBER(19,0)  NOT NULL PRIMARY KEY ,
	VERSION NUMBER(19,0) ,
	JOB_NAME VARCHAR2(100) NOT NULL,
	JOB_KEY VARCHAR2(32) NOT NULL,
	constraint JOB_INST_UN unique (JOB_NAME, JOB_KEY)
) ;

CREATE TABLE BATCH_JOB_EXECUTION  (
	JOB_EXECUTION_ID NUMBER(19,0)  NOT NULL PRIMARY KEY ,
	VERSION NUMBER(19,0)  ,
	JOB_INSTANCE_ID NUMBER(19,0) NOT NULL,
	CREATE_TIME TIMESTAMP NOT NULL,
	START_TIME TIMESTAMP DEFAULT NULL ,
	END_TIME TIMESTAMP DEFAULT NULL ,
	STATUS VARCHAR2(10) ,
	EXIT_CODE VARCHAR2(2500) ,
	EXIT_MESSAGE VARCHAR2(2500) ,
	LAST_UPDATED TIMESTAMP,
	JOB_CONFIGURATION_LOCATION VARCHAR(2500) NULL,
	constraint JOB_INST_EXEC_FK foreign key (JOB_INSTANCE_ID)
	references BATCH_JOB_INSTANCE(JOB_INSTANCE_ID)
) ;

CREATE TABLE BATCH_JOB_EXECUTION_PARAMS  (
	JOB_EXECUTION_ID NUMBER(19,0) NOT NULL ,
	TYPE_CD VARCHAR2(6) NOT NULL ,
	KEY_NAME VARCHAR2(100) NOT NULL ,
	STRING_VAL VARCHAR2(250) ,
	DATE_VAL TIMESTAMP DEFAULT NULL ,
	LONG_VAL NUMBER(19,0) ,
	DOUBLE_VAL NUMBER ,
	IDENTIFYING CHAR(1) NOT NULL ,
	constraint JOB_EXEC_PARAMS_FK foreign key (JOB_EXECUTION_ID)
	references BATCH_JOB_EXECUTION(JOB_EXECUTION_ID)
) ;

CREATE TABLE BATCH_STEP_EXECUTION  (
	STEP_EXECUTION_ID NUMBER(19,0)  NOT NULL PRIMARY KEY ,
	VERSION NUMBER(19,0) NOT NULL,
	STEP_NAME VARCHAR2(100) NOT NULL,
	JOB_EXECUTION_ID NUMBER(19,0) NOT NULL,
	START_TIME TIMESTAMP NOT NULL ,
	END_TIME TIMESTAMP DEFAULT NULL ,
	STATUS VARCHAR2(10) ,
	COMMIT_COUNT NUMBER(19,0) ,
	READ_COUNT NUMBER(19,0) ,
	FILTER_COUNT NUMBER(19,0) ,
	WRITE_COUNT NUMBER(19,0) ,
	READ_SKIP_COUNT NUMBER(19,0) ,
	WRITE_SKIP_COUNT NUMBER(19,0) ,
	PROCESS_SKIP_COUNT NUMBER(19,0) ,
	ROLLBACK_COUNT NUMBER(19,0) ,
	EXIT_CODE VARCHAR2(2500) ,
	EXIT_MESSAGE VARCHAR2(2500) ,
	LAST_UPDATED TIMESTAMP,
	constraint JOB_EXEC_STEP_FK foreign key (JOB_EXECUTION_ID)
	references BATCH_JOB_EXECUTION(JOB_EXECUTION_ID)
) ;

CREATE TABLE BATCH_STEP_EXECUTION_CONTEXT  (
	STEP_EXECUTION_ID NUMBER(19,0) NOT NULL PRIMARY KEY,
	SHORT_CONTEXT VARCHAR2(2500) NOT NULL,
	SERIALIZED_CONTEXT CLOB ,
	constraint STEP_EXEC_CTX_FK foreign key (STEP_EXECUTION_ID)
	references BATCH_STEP_EXECUTION(STEP_EXECUTION_ID)
) ;

CREATE TABLE BATCH_JOB_EXECUTION_CONTEXT  (
	JOB_EXECUTION_ID NUMBER(19,0) NOT NULL PRIMARY KEY,
	SHORT_CONTEXT VARCHAR2(2500) NOT NULL,
	SERIALIZED_CONTEXT CLOB ,
	constraint JOB_EXEC_CTX_FK foreign key (JOB_EXECUTION_ID)
	references BATCH_JOB_EXECUTION(JOB_EXECUTION_ID)
) ;

CREATE SEQUENCE BATCH_STEP_EXECUTION_SEQ START WITH 0 MINVALUE 0 MAXVALUE 9223372036854775807 NOCYCLE;
CREATE SEQUENCE BATCH_JOB_EXECUTION_SEQ START WITH 0 MINVALUE 0 MAXVALUE 9223372036854775807 NOCYCLE;
CREATE SEQUENCE BATCH_JOB_SEQ START WITH 0 MINVALUE 0 MAXVALUE 9223372036854775807 NOCYCLE;



/
set define ON;





