set define off
declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

import java.util.Date
import java.util.Calendar
import java.text.SimpleDateFormat;

global ValidationResult validationResult;
global String countryCodeToSignFor;

 rule "rule_oct.property.postal.code"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code", value == null || value.empty == true)
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_at"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_at", value == null || value not matches "[0-9]{4}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_de"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_de", value == null || value not matches "[0-9]{5}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_be"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_be", value == null || value not matches "[0-9]{4}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_dk"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_dk", value == null || value not matches "[0-9]{4}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_ee"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_ee", value == null || value not matches "[0-9]{5}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_fr"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_fr", value == null || value not matches "[0-9]{5}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_hr"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_hr", value == null || value not matches "[0-9]{5}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_it"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_it", value == null || value.toLowerCase() not matches "[0-9a-z]*")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_lu"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_lu", value == null || value not matches "[0-9]{4}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_nl"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_nl", value == null || value.toLowerCase() not matches "[1-9][0-9]{3}[a-z]{2}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_pl"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_pl", value == null || value not matches "[0-9]{5}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_ro"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_ro", value == null || value not matches "[0-9]{6}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_sk"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_sk", value == null || value not matches "[089][0-9]{4}")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_uk"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_uk", value == null || value.toLowerCase() not matches "(gir 0aa)|((([a-z-[qvx]][0-9][0-9]?)|(([a-z-[qvx]][a-z-[ijz]][0-9][0-9]?)|(([a-z-[qvx]][0-9][a-hjkstuw])|([a-z-[qvx]][a-z-[ijz]][0-9][abehmnprvwxy])))) [0-9][a-z-[cikmov]]{2})" )
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.postal.code_ie"
    dialect "java"
    when
        v : ValidationProperty(key == "postal.code_ie", value == null || value.toLowerCase() not matches "[0-9a-z]*")
    then
        validationResult.addValidationError("postal.code", "oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.address"
    dialect "java"
    when
        v : ValidationProperty(key == "address",  value == null ||  value.empty == true )
    then
        validationResult.addValidationError("address","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.city"
    dialect "java"
    when
        v : ValidationProperty(key == "city",  value == null || value.empty == true )
    then
        validationResult.addValidationError("city","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.country"
    dialect "java"
    when
        v : ValidationProperty(key == "country",  value == null || value.empty == true )
    then
        validationResult.addValidationError("country","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.fathers.name"
    dialect "java"

    when
        v : ValidationProperty(key == "fathers.name", value == null || value.empty == true )
    then
        validationResult.addValidationError("fathers.name","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.firstname"
    dialect "java"

    when
        v : ValidationProperty(key == "firstname",  value == null || value.empty == true )
    then
        validationResult.addValidationError("firstname","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.lastname"
    dialect "java"

    when
        v : ValidationProperty(key == "lastname",  value == null || value.empty == true )
    then
        validationResult.addValidationError("lastname","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.name.at.birth"
    dialect "java"

    when
        v : ValidationProperty(key == "name.at.birth", value == null || value.empty == true )
    then
        validationResult.addValidationError("name.at.birth","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.nationality"
    dialect "java"

    when
        v : ValidationProperty(key == "nationality", value == null || value.empty == true)
    then
        validationResult.addValidationError("nationality","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.place.of.birth"
    dialect "java"
    when
        v : ValidationProperty(key == "place.of.birth", value == null || value.empty == true )
    then
        validationResult.addValidationError("place.of.birth","oct.empty.property", ValidationConstants.NOT_SKIPPABLE);
end

function Date getMinimunDateToVote(int years){
    Date currentDate = new Date();
    Calendar cal = Calendar.getInstance();
    cal.setTime(currentDate);
    cal.add(Calendar.YEAR, -years);
    Date modifiedDate = cal.getTime();
    return modifiedDate;
}

function Long getMinimunDateToVoteString(int years){
    Date date = getMinimunDateToVote(years);
    return date.getTime();
}

function Long getDateFromValue(String value){
    Long time = new SimpleDateFormat("dd/MM/yyyy").parse(value).getTime();
    return time;
}

rule "rule_oct.property.date.of.birth_AT"
    dialect "java"
    when
        v : ValidationProperty(
                countryCodeToSignFor == "at",
                key == "date.of.birth",
                (value == null || value.empty == true || getMinimunDateToVoteString(16) < getDateFromValue(value)))
    then
        validationResult.addValidationError("date.of.birth","oct.error.invalidrange", ValidationConstants.NOT_SKIPPABLE);
end

rule "rule_oct.property.date.of.birth_18"
    dialect "java"
    when
        v : ValidationProperty(
                countryCodeToSignFor != "at",
                key == "date.of.birth",
                (value == null || value.empty == true || getMinimunDateToVoteString(18) < getDateFromValue(value)))
    then
        validationResult.addValidationError("date.of.birth","oct.error.invalidrange", ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(100, 'common', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.national.id.number"
    dialect "java"
    when
        v : ValidationProperty(key == "national.id.number", value == null || value not matches "[0-9]{11}" )
    then
        validationResult.addValidationError("national.id.number","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(1, 'pl', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

declare NationalityHasFailed
    failed:String = "false"
end

declare CountryHasFailed
    failed:String = "false"
end

rule "rule_oct.property.nationality_OR_country_1"
    dialect "java"
    when
        v : ValidationProperty(key == "country" && value != "de" )
    then
        insert(new CountryHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_2"
    dialect "java"
    when
        v : ValidationProperty((key == "nationality" && value != "de"))
    then
        insert(new NationalityHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_3"
    dialect "java"
    when
        n: NationalityHasFailed( failed == "true")
        c: CountryHasFailed( failed == "true" )
    then
        validationResult.addValidationError("nationality","oct.error.propertytypemismatch", ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(2, 'de', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.country_check"
    dialect "java"
    when
        v : ValidationProperty(key == "country", value != "uk", countryCodeToSignFor == "uk")
    then
        validationResult.addValidationError("country","form.error.country",ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(3, 'uk', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value.toLowerCase() not matches "[a-z0-9]{7}|[0-9a-z]{12}" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        sf : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "([0-9]){2}([a-z]){2}([0-9]){4}[0-9]")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(4, 'fr', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

declare NationalityHasFailed
    failed:String = "false"
end

declare CountryHasFailed
    failed:String = "false"
end

rule "rule_oct.property.nationality_OR_country_1"
    dialect "java"
    when
        v : ValidationProperty(key == "country" && value != "be" )
    then
        insert(new CountryHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_2"
    dialect "java"
    when
        v : ValidationProperty((key == "nationality" && value != "be"))
    then
        insert(new NationalityHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_3"
    dialect "java"
    when
        n: NationalityHasFailed( failed == "true")
        c: CountryHasFailed( failed == "true" )
    then
        validationResult.addValidationError("nationality","oct.error.propertytypemismatch", ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(5, 'be', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value.toLowerCase() not matches "[a-z]{2}[0-9]{6}" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "[a-z0-9]*")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.permanent.residence"
    dialect "java"
    when
        v : ValidationProperty(key == "permanent.residence", value == null || value.toLowerCase() not matches "[0-9]{13}")
    then
        validationResult.addValidationError("permanent.residence","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.personal.id"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.id", value == null || value not matches "[0-9]{13}")
    then
        validationResult.addValidationError("personal.id","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.registration.certificate"
    dialect "java"
    when
        v : ValidationProperty(key == "registration.certificate", value == null || value not matches "[0-9]{13}")
    then
        validationResult.addValidationError("registration.certificate","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(6, 'ro', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value not matches "[0-9]{7}|[0-9]{8}")
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end


rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "[a-z][0-9]{7,8}")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(8, 'at', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.permanent.residence"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.id", value == null || value not matches "[0-9]{6}[0-9]{5}")
    then
        validationResult.addValidationError("personal.id","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(9, 'lv', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.personal.number"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.number", value == null || value not matches "[0-9]{10}" )
    then
        validationResult.addValidationError("personal.number","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(10, 'bg', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value not matches "[0-9]{1,10}" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "([bcej][0-9]{6})|(k[0-9]{8})|([ds]p[0-9]{7})")
    then

        validationResult.addValidationError("passport","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(11, 'cy', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.personal.number"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.number", value == null || value not matches "[0-9]{11}" )
    then
        validationResult.addValidationError("personal.number","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(12, 'lt', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

declare NationalityHasFailed
    failed:String = "false"
end

declare CountryHasFailed
    failed:String = "false"
end

rule "rule_oct.property.nationality_OR_country_1"
    dialect "java"
    when
        v : ValidationProperty(key == "country" && value != "lu" )
    then
        insert(new CountryHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_2"
    dialect "java"
    when
        v : ValidationProperty((key == "nationality" && value != "lu"))
    then
        insert(new NationalityHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_3"
    dialect "java"
    when
        n: NationalityHasFailed( failed == "true")
        c: CountryHasFailed( failed == "true" )
    then
        validationResult.addValidationError("nationality","oct.error.propertytypemismatch", ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(13, 'lu', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value.toLowerCase() not matches "[a-z0-9]*" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.residence.permit"
    dialect "java"
    when
        v : ValidationProperty(key == "residence.permit", value == null || value.empty == true )
    then
        validationResult.addValidationError("residence.permit","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(14, 'mt', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

declare NationalityHasFailed
    failed:String = "false"
end

declare CountryHasFailed
    failed:String = "false"
end

rule "rule_oct.property.nationality_OR_country_1"
    dialect "java"
    when
        v : ValidationProperty(key == "country" && value != "nl" )
    then
        insert(new CountryHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_2"
    dialect "java"
    when
        v : ValidationProperty((key == "nationality" && value != "nl"))
    then
        insert(new NationalityHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_3"
    dialect "java"
    when
        n: NationalityHasFailed( failed == "true")
        c: CountryHasFailed( failed == "true" )
    then
        validationResult.addValidationError("nationality","oct.error.propertytypemismatch", ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(15, 'nl', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value not matches "[0-9]{1,8}" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.citizens.card"
    dialect "java"
    when
        v : ValidationProperty(key == "citizens.card", value == null || value.toLowerCase() not matches "[0-9]{9}[a-z]{2}[0-9]" )
    then
        validationResult.addValidationError("citizens.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "[a-z]{1}[0-9]{6}")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end

';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(16, 'pt', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

declare NationalityHasFailed
    failed:String = "false"
end

declare CountryHasFailed
    failed:String = "false"
end

rule "rule_oct.property.nationality_OR_country_1"
    dialect "java"
    when
        v : ValidationProperty(key == "country" && value != "sk" )
    then
        insert(new CountryHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_2"
    dialect "java"
    when
        v : ValidationProperty((key == "nationality" && value != "sk"))
    then
        insert(new NationalityHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_3"
    dialect "java"
    when
        n: NationalityHasFailed( failed == "true")
        c: CountryHasFailed( failed == "true" )
    then
        validationResult.addValidationError("nationality","oct.error.propertytypemismatch",ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(17, 'sk', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.personal.number"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.number", value == null || value not matches "[0-9]{13}" )
    then
        validationResult.addValidationError("personal.number","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(18, 'si', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value not matches "([0-9]{9})|([0-9]{6}[a-z]{2}[0-9]{2})|([0-9]{6}[a-z]{2})|([a-z]{2}[0-9]{6})" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value not matches "[0-9]{7,8}")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(19, 'cz', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

declare NationalityHasFailed
    failed:String = "false"
end

declare CountryHasFailed
    failed:String = "false"
end

rule "rule_oct.property.nationality_OR_country_1"
    dialect "java"
    when
        v : ValidationProperty(key == "country" && value != "dk" )
    then
        insert(new CountryHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_2"
    dialect "java"
    when
        v : ValidationProperty((key == "nationality" && value != "dk"))
    then
        insert(new NationalityHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_3"
    dialect "java"
    when
        n: NationalityHasFailed( failed == "true")
        c: CountryHasFailed( failed == "true" )
    then
        validationResult.addValidationError("nationality","oct.error.propertytypemismatch", ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(20, 'dk', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

declare NationalityHasFailed
    failed:String = "false"
end

declare CountryHasFailed
    failed:String = "false"
end

rule "rule_oct.property.nationality_OR_country_1"
    dialect "java"
    when
        v : ValidationProperty(key == "country" && value != "ee" )
    then
        insert(new CountryHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_2"
    dialect "java"
    when
        v : ValidationProperty((key == "nationality" && value != "ee"))
    then
        insert(new NationalityHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_3"
    dialect "java"
    when
        n: NationalityHasFailed( failed == "true")
        c: CountryHasFailed( failed == "true" )
    then
        validationResult.addValidationError("nationality","oct.error.propertytypemismatch", ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(21, 'ee', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

declare NationalityHasFailed
    failed:String = "false"
end

declare CountryHasFailed
    failed:String = "false"
end

rule "rule_oct.property.nationality_OR_country_1"
    dialect "java"
    when
        v : ValidationProperty(key == "country" && value != "fi" )
    then
        insert(new CountryHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_2"
    dialect "java"
    when
        v : ValidationProperty((key == "nationality" && value != "fi"))
    then
        insert(new NationalityHasFailed("true"));
end

rule "rule_oct.property.nationality_OR_country_3"
    dialect "java"
    when
        n: NationalityHasFailed( failed == "true")
        c: CountryHasFailed( failed == "true" )
    then
        validationResult.addValidationError("nationality","oct.error.propertytypemismatch", ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(22, 'fi', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value not matches "[\\p{InGreek} a-z]{1,2}[0-9]{6}" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "[a-z]{2}[0-9]{7}")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.permanent.residence"
    dialect "java"
    when
        v : ValidationProperty(key == "permanent.residence", value == null || value not matches "[0-9]{1,6}")
    then
        validationResult.addValidationError("permanent.residence","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(23, 'el', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value.toLowerCase() not matches "[0-9]{8}[a-z]" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "[a-z0-9]*")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.permanent.residence"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.id", value == null || value.toLowerCase() not matches "[xyz][0-9]{7}[a-z]")
    then
        validationResult.addValidationError("personal.id","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(24, 'es', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        sf : ValidationProperty(key == "id.card", value == null || value.toLowerCase() not matches "([0-9]{6}[a-z]{2})|([a-z]{2}[a-z][0-9]{6})|([a-z]{2}[a-z]{2}[0-9]{6})|([a-z]{2}[a-z]{3}[0-9]{6})|([a-z]{2}[0-9]{6})" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "([a-z]{2}[0-9]{6})|([a-z]{2}[0-9]{7})")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.personal.number"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.number", value == null ||  value not matches "[0-9][0-9]{6}[0-9]{4}" )
    then
        validationResult.addValidationError("personal.number","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(25, 'hu', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation


global ValidationResult validationResult;
global String countryCodeToSignFor;
//bean.gp("c").equals("uk") && bean.gp("country").equals("uk")

rule "rule_oct.property.country_check"
    dialect "java"
    when
        v : ValidationProperty(key == "country", value != "ie", countryCodeToSignFor == "ie")
    then
        validationResult.addValidationError("country","oct.error.propertytypemismatch",ValidationConstants.NOT_SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(26, 'ie', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.personal.number"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.number", value == null || value not matches "[0-9]{12}" )
    then
        validationResult.addValidationError("personal.number","oct.error.propertytypemismatch",ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(27, 'se', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.id.card"
    dialect "java"
    when
        v : ValidationProperty(key == "id.card", value == null || value.toLowerCase() not matches "([a-z]{2}[0-9]{6,8})|([0-9]{7}[a-z]{2})|([a-z]{2}[0-9]{5}[a-z]{2})" )
    then
        validationResult.addValidationError("id.card","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.issuing.authority"
    dialect "java"
    when
        v : ValidationProperty(key == "issuing.authority", value == null || value.empty == true)
    then
        validationResult.addValidationError("issuing.authority","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end

rule "rule_oct.property.passport"
    dialect "java"
    when
        v : ValidationProperty(key == "passport", value == null || value.toLowerCase() not matches "([a-z]{2}[0-9]{7})|([a-z][0-9]{6})|([0-9]{6}[a-z])")
    then
        validationResult.addValidationError("passport","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(28, 'it', c1);
end;

/

declare
  c1 clob;
begin
  c1 := 'package eu.europa.ec.eci.oct.validation

global ValidationResult validationResult;
global String countryCodeToSignFor;

rule "rule_oct.property.permanent.residence"
    dialect "java"
    when
        v : ValidationProperty(key == "personal.id", value == null || value not matches "[0-9]{11}")
    then
        validationResult.addValidationError("personal.id","oct.error.propertytypemismatch", ValidationConstants.SKIPPABLE);
end
';
  insert into OCT_COUNTRY_RULE  (ID, CODE, RULE) values(29, 'hr', c1);
end;

/